【Common Lisp 入门】配置开发环境 in Emacs

安装 Emacs

sudo apt-get install emacs

安装 Common Lisp 环境

sudo apt-get install common-lisp-controller

安装 Slime

sudo apt-get install slime

修改 Emacs 配置文件,以支持 Common Lisp

emacs -nw ~/.emacs.d/user.el

(setq inferior-lisp-program "/usr/bin/sbcl")
    (add-to-list 'load-path "/usr/local/bin/slime/")
    (require 'slime)
    (slime-setup)
(slime-setup '(slime-fancy))

验证开发环境

emacs 或 emacs -nw

输入 Alt + X,输入 slime,回车

这里写图片描述

帅!

©️2020 CSDN 皮肤主题: Age of Ai 设计师: meimeiellie 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值